from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XUIConfigurationManager(XInterface, Protocol):
    def reset(self) -> None: ...
    def createSettings(self) -> XIndexContainer: ...
    def getImageManager(self) -> XInterface: ...
    def getShortCutManager(self) -> XAcceleratorConfiguration: ...
    def getEventsManager(self) -> XInterface: ...
